Skip to content

Create Access Key

POST
/api/v1/storage/core/users/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/core/users/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"tag": "hello"
}'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
tag
required
string

Example

hello

Create access key

Media typeapplication/json
object
code
integer
data
object
id
integer
my_account_id
integer
nullable
user_name
string
email
string
access_key
string
secret_key
string
is_default
boolean
disabled
boolean
tag
string
minio_host_url
string
errors
object
message
string

Example

{
"code": 200,
"data": {
"id": 1234,
"my_account_id": null,
"user_name": "admin@e2enetworks.com",
"email": "",
"access_key": "A10TYXIKJXI2S9Q8NO5J",
"secret_key": "NOOKEAF1CUMXLVKDU8OD3N0XXN7CNZNENI4LF1KL",
"is_default": false,
"disabled": false,
"tag": "hello",
"minio_host_url": "objectstore.e2enetworks.net"
},
"errors": {},
"message": "Success"
}